
TYPO3 CMS Usability Team - Bug # 49718

Status: Rejected Priority: Won't have this time
Author: Patrick Schriner Category: Technical
Created: 2013-07-05 Assigned To:
Updated: 2013-08-28 Due date:
Tags:
Subject: Change the label user function for FAL records to at least return the uid as title
Description

The new label_userFunc for sys_file_reference rows results in "no title" when called by BackendUtility::getRecordTitle. This function is
e.g. called from the workspaces module.

This patch will set the title parameter to the row uid when the parmeter array does not provide an 'options' 'sys_file' array. This will
result in the uid being displayed which is the old behavior.

Related issues:
related to TYPO3 CMS Usability Team - Suggestion # 36052: Visual improvements... Resolved

History
#1 - 2013-07-05 23:59 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21983

#2 - 2013-08-26 14:03 - Jens Hoffmann
- Category set to Technical
- Status changed from New to Rejected
- Priority changed from Should have to Won't have this time

How is this UX related?
Seems to be only technical.

Greez Jens

#3 - 2013-08-28 11:40 - Patrick Schriner

Hi it was really a bugfix for a regression.

Someone suggested to file it under UX.

It is merged in master since July 6, don't know why this is not shown here correctly.
